// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from ds_dbw_msgs:msg/ThrottleInfo.idl
// generated code does not contain a copyright notice

#ifndef DS_DBW_MSGS__MSG__DETAIL__THROTTLE_INFO__STRUCT_H_
#define DS_DBW_MSGS__MSG__DETAIL__THROTTLE_INFO__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'accel_pedal_qf'
#include "ds_dbw_msgs/msg/detail/quality__struct.h"
// Member 'one_pedal'
#include "ds_dbw_msgs/msg/detail/one_pedal__struct.h"
// Member 'drive_mode'
#include "ds_dbw_msgs/msg/detail/drive_mode__struct.h"
// Member 'gear_num'
#include "ds_dbw_msgs/msg/detail/gear_num__struct.h"

/// Struct defined in msg/ThrottleInfo in the package ds_dbw_msgs.
typedef struct ds_dbw_msgs__msg__ThrottleInfo
{
  std_msgs__msg__Header header;
  /// Accelerator Pedal
  /// Accelerator pedal percent, range 0 to 100
  float accel_pedal_pc;
  /// Non-zero is limp-home
  ds_dbw_msgs__msg__Quality accel_pedal_qf;
  /// One-pedal-drive mode
  ds_dbw_msgs__msg__OnePedal one_pedal;
  /// Engine
  /// Engine Speed (rpm)
  float engine_rpm;
  /// Drive Mode
  ds_dbw_msgs__msg__DriveMode drive_mode;
  /// Gear Num
  /// Gear Number
  ds_dbw_msgs__msg__GearNum gear_num;
} ds_dbw_msgs__msg__ThrottleInfo;

// Struct for a sequence of ds_dbw_msgs__msg__ThrottleInfo.
typedef struct ds_dbw_msgs__msg__ThrottleInfo__Sequence
{
  ds_dbw_msgs__msg__ThrottleInfo * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} ds_dbw_msgs__msg__ThrottleInfo__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // DS_DBW_MSGS__MSG__DETAIL__THROTTLE_INFO__STRUCT_H_
