// generated from rosidl_generator_cpp/resource/idl__traits.hpp.em
// with input from ds_dbw_msgs:msg/ThrottleInfo.idl
// generated code does not contain a copyright notice

#ifndef DS_DBW_MSGS__MSG__DETAIL__THROTTLE_INFO__TRAITS_HPP_
#define DS_DBW_MSGS__MSG__DETAIL__THROTTLE_INFO__TRAITS_HPP_

#include <stdint.h>

#include <sstream>
#include <string>
#include <type_traits>

#include "ds_dbw_msgs/msg/detail/throttle_info__struct.hpp"
#include "rosidl_runtime_cpp/traits.hpp"

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__traits.hpp"
// Member 'accel_pedal_qf'
#include "ds_dbw_msgs/msg/detail/quality__traits.hpp"
// Member 'one_pedal'
#include "ds_dbw_msgs/msg/detail/one_pedal__traits.hpp"
// Member 'drive_mode'
#include "ds_dbw_msgs/msg/detail/drive_mode__traits.hpp"
// Member 'gear_num'
#include "ds_dbw_msgs/msg/detail/gear_num__traits.hpp"

namespace ds_dbw_msgs
{

namespace msg
{

inline void to_flow_style_yaml(
  const ThrottleInfo & msg,
  std::ostream & out)
{
  out << "{";
  // member: header
  {
    out << "header: ";
    to_flow_style_yaml(msg.header, out);
    out << ", ";
  }

  // member: accel_pedal_pc
  {
    out << "accel_pedal_pc: ";
    rosidl_generator_traits::value_to_yaml(msg.accel_pedal_pc, out);
    out << ", ";
  }

  // member: accel_pedal_qf
  {
    out << "accel_pedal_qf: ";
    to_flow_style_yaml(msg.accel_pedal_qf, out);
    out << ", ";
  }

  // member: one_pedal
  {
    out << "one_pedal: ";
    to_flow_style_yaml(msg.one_pedal, out);
    out << ", ";
  }

  // member: engine_rpm
  {
    out << "engine_rpm: ";
    rosidl_generator_traits::value_to_yaml(msg.engine_rpm, out);
    out << ", ";
  }

  // member: drive_mode
  {
    out << "drive_mode: ";
    to_flow_style_yaml(msg.drive_mode, out);
    out << ", ";
  }

  // member: gear_num
  {
    out << "gear_num: ";
    to_flow_style_yaml(msg.gear_num, out);
  }
  out << "}";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const ThrottleInfo & msg,
  std::ostream & out, size_t indentation = 0)
{
  // member: header
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "header:\n";
    to_block_style_yaml(msg.header, out, indentation + 2);
  }

  // member: accel_pedal_pc
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "accel_pedal_pc: ";
    rosidl_generator_traits::value_to_yaml(msg.accel_pedal_pc, out);
    out << "\n";
  }

  // member: accel_pedal_qf
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "accel_pedal_qf:\n";
    to_block_style_yaml(msg.accel_pedal_qf, out, indentation + 2);
  }

  // member: one_pedal
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "one_pedal:\n";
    to_block_style_yaml(msg.one_pedal, out, indentation + 2);
  }

  // member: engine_rpm
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "engine_rpm: ";
    rosidl_generator_traits::value_to_yaml(msg.engine_rpm, out);
    out << "\n";
  }

  // member: drive_mode
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "drive_mode:\n";
    to_block_style_yaml(msg.drive_mode, out, indentation + 2);
  }

  // member: gear_num
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "gear_num:\n";
    to_block_style_yaml(msg.gear_num, out, indentation + 2);
  }
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const ThrottleInfo & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace msg

}  // namespace ds_dbw_msgs

namespace rosidl_generator_traits
{

[[deprecated("use ds_dbw_msgs::msg::to_block_style_yaml() instead")]]
inline void to_yaml(
  const ds_dbw_msgs::msg::ThrottleInfo & msg,
  std::ostream & out, size_t indentation = 0)
{
  ds_dbw_msgs::msg::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use ds_dbw_msgs::msg::to_yaml() instead")]]
inline std::string to_yaml(const ds_dbw_msgs::msg::ThrottleInfo & msg)
{
  return ds_dbw_msgs::msg::to_yaml(msg);
}

template<>
inline const char * data_type<ds_dbw_msgs::msg::ThrottleInfo>()
{
  return "ds_dbw_msgs::msg::ThrottleInfo";
}

template<>
inline const char * name<ds_dbw_msgs::msg::ThrottleInfo>()
{
  return "ds_dbw_msgs/msg/ThrottleInfo";
}

template<>
struct has_fixed_size<ds_dbw_msgs::msg::ThrottleInfo>
  : std::integral_constant<bool, has_fixed_size<ds_dbw_msgs::msg::DriveMode>::value && has_fixed_size<ds_dbw_msgs::msg::GearNum>::value && has_fixed_size<ds_dbw_msgs::msg::OnePedal>::value && has_fixed_size<ds_dbw_msgs::msg::Quality>::value && has_fixed_size<std_msgs::msg::Header>::value> {};

template<>
struct has_bounded_size<ds_dbw_msgs::msg::ThrottleInfo>
  : std::integral_constant<bool, has_bounded_size<ds_dbw_msgs::msg::DriveMode>::value && has_bounded_size<ds_dbw_msgs::msg::GearNum>::value && has_bounded_size<ds_dbw_msgs::msg::OnePedal>::value && has_bounded_size<ds_dbw_msgs::msg::Quality>::value && has_bounded_size<std_msgs::msg::Header>::value> {};

template<>
struct is_message<ds_dbw_msgs::msg::ThrottleInfo>
  : std::true_type {};

}  // namespace rosidl_generator_traits

#endif  // DS_DBW_MSGS__MSG__DETAIL__THROTTLE_INFO__TRAITS_HPP_
